export:
	uv export --no-emit-project --no-editable --frozen --no-dev -o requirements.txt

build:
	sam build --use-container

deploy: export build
	sam deploy --debug

pytest:
	uv run pytest

htmlcov: pytest
	uv run python -m http.server 80 -d htmlcov
